linux: 3.5.0-39.60 -proposed tracker

Bug #1211872 reported by Brad Figg on 2013-08-13
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Brendan Donegan
Prepare-package
Medium
Brad Figg
Prepare-package-lbm
Medium
Brad Figg
Prepare-package-meta
Medium
Brad Figg
Prepare-package-signed
Medium
Brad Figg
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Quantal
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-39.60 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 13. August 2013 16:43 UTC
kernel-stable-Prepare-package-end:Wednesday, 14. August 2013 00:55 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 14. August 2013 00:55 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 14. August 2013 02:02 UTC
kernel-stable-Verification-testing-start:Wednesday, 14. August 2013 03:05 UTC
kernel-stable-Verification-testing-end:Wednesday, 14. August 2013 05:02 UTC
kernel-stable-Certification-testing-start:Wednesday, 14. August 2013 05:02 UTC
kernel-stable-Security-signoff-start:Wednesday, 14. August 2013 05:03 UTC
kernel-stable-Regression-testing-start:Wednesday, 14. August 2013 05:02 UTC
kernel-stable-Regression-testing-end:Friday, 16. August 2013 08:02 UTC
kernel-stable-Certification-testing-end:Friday, 16. August 2013 17:02 UTC
kernel-stable-Promote-to-updates-start:Monday, 19. August 2013 10:03 UTC
kernel-stable-Security-signoff-end:Monday, 19. August 2013 10:03 UTC
kernel-stable-Promote-to-updates-end:Monday, 19. August 2013 21:05 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 19. August 2013 23:08 UTC

Brad Figg (brad-figg) on 2013-08-13
tags: added: kernel-release-tracking-bug
tags: added: quantal
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1212046
linux-armadaxp - bug 1212047
linux-lowlatency - bug 1212048

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-quantal (precise) - bug 1212049

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-08-14
description: updated
Brad Figg (brad-figg) on 2013-08-14
description: updated
Brad Figg (brad-figg) on 2013-08-14
description: updated
Para Siva (psivaa) on 2013-08-16
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-08-16
description: updated

Hardware Certification have begun testing this -proposed kernel.

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/quantal/3.5.0-39.60/quantal-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-08-16
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-08-19
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (8.6 KiB)

This bug was fixed in the package linux - 3.5.0-39.60

---------------
linux (3.5.0-39.60) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1211872

  [ Upstream Kernel Changes ]

  * Revert "veth: avoid a NULL deref in veth_stats_one"
  * Revert "veth: extend device features"
  * Revert "veth: reduce stat overhead"

linux (3.5.0-38.59) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1205440

  [ Upstream Kernel Changes ]

  * hp-wmi: add more definitions for new event_id's
    - LP: #1152458
  * MFD: rtsx_pcr: Fix probe fail path
    - LP: #1201321
  * mfd: rtsx: Add support for RTL8411B
    - LP: #1201321
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1204600
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1204600
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1204600
  * zram: avoid double free in function zram_bvec_write()
    - LP: #1204600
  * zram: avoid access beyond the zram device
    - LP: #1204600
  * zram: protect sysfs handler from invalid memory access
    - LP: #1204600
  * pcmcia: at91_cf: fix gpio_get_value in at91_cf_get_status
    - LP: #1204600
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1204600
  * cgroup: fix umount vs cgroup_event_remove() race
    - LP: #1204600
  * xhci: check for failed dma pool allocation
    - LP: #1204600
  * usb: host: xhci-plat: release mem region while removing module
    - LP: #1204600
  * USB: option,qcserial: move Novatel Gobi1K IDs to qcserial
    - LP: #1204600
  * x86: Fix /proc/mtrr with base/size more than 44bits
    - LP: #1204600
  * genirq: Fix can_request_irq() for IRQs without an action
    - LP: #1204600
  * jbd2: move superblock checksum calculation to jbd2_write_superblock()
    - LP: #1204600
  * ext3,ext4: don't mess with dir_file->f_pos in htree_dirblock_to_tree()
    - LP: #1204600
  * jbd2: fix theoretical race in jbd2__journal_restart
    - LP: #1204600
  * cgroup: fix umount vs cgroup_cfts_commit() race
    - LP: #1204600
  * tracing: Use current_uid() for critical time tracing
    - LP: #1204600
  * ahci: Add AMD CZ SATA device ID
    - LP: #1204600
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1204600
  * ahci: remove pmp link online check in FBS EH
    - LP: #1204600
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1204600
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1204600
  * ACPICA: Do not use extended sleep registers unless HW-reduced bit is
    set
    - LP: #1204600
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1204600
  * ata_piix: IDE-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ahci: AHCI-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ARM: 7765/1: perf: Record the user-mode PC in the call c...

Read more...

Changed in linux (Ubuntu Quantal):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-08-19
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers